Bug 73900 - missing ConTeXt format files
missing ConTeXt format files
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-09-13 03:46 EDT by Jochen Kreimer
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-23 11:28:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jochen Kreimer 2002-09-13 03:46:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823

Description of problem:
When I try to use conTeXt packages texexec complains about missing format files.

Version-Release number of selected component (if applicable):
tetex 1.0.7-47 RPMs

How reproducible:

Steps to Reproduce:
1. create source file:
-- hello.tex --------------------------------------
Hello World!

2. execute: texexec --pdf hello.tex

Actual Results:   TeXExec 2.6 - ConTeXt / PRAGMA ADE 1997-2001

            executable : pdfetex
                format : cont-en
             inputfile : hello
                output : pdftex
             interface : en
          current mode : all
               TeX run : 1

This is pdfeTeX, Version 3.14159-14h-released-20010417-2.1 (Web2C
Sorry, I can't find the format `cont-en.efmt'; will try `context.efmt'.
I can't find the format file `context.efmt'!

              run time : 1 seconds

        total run time : 1 seconds

Expected Results:  It should produce the expected pdf file instead.

Additional info:

It seems that some format files are missing. Thus I
asked Thomas Esser what to do.

He suggested to try:

  pdfetex -ini -progname=context \*cont-en.ini
  fmtutil --edit # Uncomment cont-en entry
  fmtutil --byfmt cont-en

This worked fine for me.

Since I am no TeX expert you might need how to 
fix this problem in general.
Comment 1 Tim Waugh 2002-09-13 04:48:42 EDT
Thanks.  I think I see how to fix the RPM.
Comment 2 Tim Waugh 2003-05-23 11:28:46 EDT
Current rawhide version fixes this.

Note You need to log in before you can comment on or make changes to this bug.